#!/bin/sh
# Example for use of GNU gettext.
# This file is in the public domain.
#
# Script for cleaning all autogenerated files.

test ! -f Makefile || make distclean
rm -rf autom4te.cache

if test "$1" = fromscratch; then

  # Brought in by explicit copy.
  rm -rf admin

fi

# Brought in by autopoint.
rm -f ABOUT-NLS
rm -f m4/gettext.m4
rm -f m4/host-cpu-c-abi.m4
rm -f m4/iconv.m4
rm -f m4/intlmacosx.m4
rm -f m4/lib-ld.m4
rm -f m4/lib-link.m4
rm -f m4/lib-prefix.m4
rm -f m4/nls.m4
rm -f m4/po.m4
rm -f m4/progtest.m4
rm -f po/Makefile.in.in
rm -f po/remove-potcdate.sin
rm -f admin/config.rpath

# Generated through admin/cvs.sh.
  rm -f acinclude.m4
  rm -f subdirs configure.files
  rm -f configure.in
  # Generated by aclocal.
  rm -f aclocal.m4
  # Generated by autoconf.
  rm -f configure
  rm -f config.h.in stamp-h.in
  rm -f Makefile.in m4/Makefile.in

# Generated.
rm -f po/Makefile.in
rm -f po/*.pot
rm -f po/stamp-po
rm -f po/*.gmo
